<?php
class AddedIsPaidColumnToOrdersTable extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = '';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_checkout_orders' => array(
					'is_paid' => array('type' => 'boolean', 'null' => false, 'default' => '0', 'after' => 'order_status_id'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_checkout_orders' => array('is_paid',),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function after($direction) {
		return true;
	}
}
